Skip to main content

Update a surcharge item by policy ID and item ID

PATCH 

/v1/rates/surcharge-policies/:id/items/:itemId

Update an existing surcharge item by policy ID and item ID

Request

Path Parameters

    id stringrequired

    Surcharge policy ID

    itemId stringrequired

    Surcharge item ID

Body

required
    surchargeName string

    The name of the surcharge item

    bookingType string[]

    Possible values: [Now, Reservation]

    startDate string

    The start date of the surcharge item

    endDate string

    The end date of the surcharge item

    startTime string

    The start time of the surcharge item

    endTime string

    The end time of the surcharge item

    days string[]

    Possible values: [Sun, Mon, Tue, Wed, Thu, Fri, Sat]

    The days of the week of the surcharge item

    repeat string

    Possible values: [weekly, yearly, single]

    Default value: weekly

    The repeat type of the surcharge item

    bookingTimeCoverage number

    Default value: 0

    The booking time coverage of the surcharge item

    surchargeFee number

    Default value: 0

    The surcharge fee of the surcharge item

    surchargeType string

    Possible values: [amount, percent]

    Default value: amount

    The surcharge type of the surcharge item

    tierActive boolean

    Whether the tier is active

    distanceTier object[]
  • Array [
  • rangeStart numberrequired

    Default value: 0

    The start range of the distance tier

    rangeEnd numberrequired

    Default value: 0

    The end range of the distance tier

    fee numberrequired

    Default value: 0

    The fee of the distance tier

    fareType stringrequired

    Possible values: [amount, percent]

    Default value: amount

    The fare type of the distance tier

  • ]
  • zoneIds string[]

    Possible values: Value must match regular expression ^[0-9a-f]{24}$

    Operation zone IDs: Get operation zones

    bookingLeadTimeActive boolean

    Whether the booking lead time is active

    bookingLeadTimes object[]
  • Array [
  • rangeStart number

    Default value: 0

    rangeEnd number

    Default value: 0

    fee number

    Default value: 0

    fareType string

    Possible values: [amount, percent]

  • ]

Responses

Surcharge item updated successfully

Loading...